Subject: Reference ID for AWB 46407200011 and order no. 6247638502.
From: JUHI GOEL <[email-masked]>
To: Shakeeb Arsalan <[email-masked]>, Seeta Seeta <[email-masked]>
Cc: "Fauzan Ahmad, Musalman" <[email-masked]>, Apoorv Joshi <[email-masked]>
Date: Fri, 5 Feb 2021 06:04:51 -0700 (MST)

Hi Team, 

Kindly provide the Reference ID for AWB 46407200011 and order no. 6247638502. 

Thanks for your help. 

Regards, 
Juhi